<?php

/**
 * Twenty Nineteen functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package WordPress
 * @subpackage DWN_Edu
 * @since 1.0.0
 */
require_once dirname( __FILE__ ) . '/lib/class-tgm-plugin-activation.php';
require_once dirname( __FILE__ ) . '/inc/init.php';
require_once dirname( __FILE__ ) . '/inc/config.php';
require_once dirname( __FILE__ ) . '/inc/post-type.php';
require_once dirname( __FILE__ ) . '/inc/widget.php';


//Add JS CSS
function tHTheme_enqueue() {
    wp_enqueue_style('FontAssistant', 'https://fonts.googleapis.com/css?family=Assistant%3A200%2C300%2Cregular%2C600%2C700%2C800%7CKarla%3Aregular%2Citalic%2C700%2C700italic%7CPT+Sans%3Aregular%2Citalic%2C700%2C700italic&subset=latin%2Chebrew%2Clatin-ext%2Ccyrillic-ext%2Ccyrillic');
    wp_enqueue_style('Lorafont', 'https://fonts.googleapis.com/css?family=Lora:400,400i,700,700i&display=swap');
    wp_enqueue_style('plugin-css', get_template_directory_uri() . '/plugins/goodlayers-core/plugins/combine/style.css');
    wp_enqueue_style('page-builder-css', get_template_directory_uri() . '/plugins/goodlayers-core/include/css/page-builder.css');
    wp_enqueue_style('QuformCss', get_template_directory_uri() . '/plugins/quform/css/base.css');
    wp_enqueue_style('StyleCore', get_template_directory_uri() . '/css/style-core.css');
    wp_enqueue_style('LogiscoCSS', get_template_directory_uri() . '/css/logisco-style-custom.css');
    wp_enqueue_style('ThemeStyle', get_template_directory_uri() . '/style.css');
    wp_enqueue_script( 'jQuery', get_template_directory_uri() . '/js/jquery/jquery.js', array('jquery'), '', true );
    wp_enqueue_script( 'jquery-migrate', get_template_directory_uri() . '/js/jquery/jquery-migrate.min.js', array('jquery'), '', true );
    wp_enqueue_script( 'PluginScript', get_template_directory_uri() . '/plugins/goodlayers-core/plugins/combine/script.js', array('jquery'), '', true );
    wp_enqueue_script( 'page-builder-js', get_template_directory_uri() . '/plugins/goodlayers-core/include/js/page-builder.js', array('jquery'), '', true );
    wp_enqueue_script( 'jQueryBlockUI', get_template_directory_uri() . '/js/jquery/jquery.blockUI.min.js', array('jquery'), '', true );
    wp_enqueue_script( 'effect-js', get_template_directory_uri() . '/js/jquery/ui/effect.min.js', array('jquery'), '', true );
    wp_enqueue_script( 'mmenu-js', get_template_directory_uri() . '/js/jquery.mmenu.js', array('jquery'), '', true );
    wp_enqueue_script( 'superfish-js', get_template_directory_uri() . '/js/jquery.superfish.js', array('jquery'), '', true );
    wp_enqueue_script( 'plugins-js', get_template_directory_uri() . '/js/plugins.js', array('jquery'), '', true );
    wp_enqueue_script( 'Quform-plugins', get_template_directory_uri() . '/plugins/quform/js/plugins.js', array('jquery'), '', true );
    wp_enqueue_script( 'Quform-scripts', get_template_directory_uri() . '/plugins/quform/js/scripts.js', array('jquery'), '', true );
}
add_action('wp_enqueue_scripts', 'tHTheme_enqueue');

function my_login_logo() { ?>
    <style type="text/css">
        #login h1 a, .login h1 a {
            background-image: url(<?php echo get_stylesheet_directory_uri(); ?>/images/logo_red1.png);
		width:320px;
		background-size: 320px auto;
		background-repeat: no-repeat;
        	padding-bottom: 30px;
        }
    </style>
<?php }
add_action( 'login_enqueue_scripts', 'my_login_logo' );

